This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 165266 - Realtek High Definition Audio Produces Static in All Applications
Realtek High Definition Audio Produces Static in All Applications
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-06 03:28 EDT by Sam
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-18 09:32:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam 2005-08-06 03:28:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Fedora/1.7.10-1.5.1

Description of problem:
When I use any application that produces sound, when the sound is being played, there is a constant static. This includes, but is not limited to: xine, xmms, and CD Player.

When there is no sound playing, there is no static present.

I have a dual-boot machine with Windows XP on it as well. In Windows XP, there is no static at all--the sound is crystal clear. I have a Realtek High Definition Audio sound card.

I also used Fedora Core 4 Test 3, and there was no static present in that version of the sound card driver.

Version-Release number of selected component (if applicable):
alsa-lib-1.0.9rf-2.FC4

How reproducible:
Always

Steps to Reproduce:
1. Open a program that plays sound 
2. Play the sound 
3. The static occurs only when sound is playing, and at about 75% of the volume of the sound.
  

Actual Results:  Static occurs while the sound is playing, and does not occur when the sound stops.

Expected Results:  No static while the sound is playing.

Additional info:
Comment 1 Martin Stransky 2005-08-15 10:54:42 EDT
Could you check the new system-config-soundcard (from devel) and set "Use only
the hardware device" option?
Comment 2 Sam 2005-08-17 01:42:43 EDT
I can do that for you, but it will be my first time to get this from devel,
being fairly new to Linux. Can you point me in the right direction? I tried
checking "yum", but no luck. Where do I go to get "official" updates that are
not on yum?

Thanks!

Sam
Comment 3 Martin Stransky 2005-08-17 03:51:13 EDT
Don't worry about devel, simply remove all lines from /etc/asound.conf and write
there:

pcm.!default { type hw card 0 }
ctl.!default { type hw card 0 }
Comment 4 Sam 2005-08-18 03:04:46 EDT
Worked perfectly! No more static--it is crystal clear (even moreso than when I
boot in Windows)! Thanks!

Sam

Note You need to log in before you can comment on or make changes to this bug.